Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ForOfLoopTree

- All Superinterfaces:
    `LoopTree`, `StatementTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface ForOfLoopTree
      extends LoopTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for for..of statement. For example:

         for ( variable of expression )
             statement

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. The object or array being whose properties are iterated.
    `StatementTree` | `getStatement()` | Deprecated, for removal: This API element is subject to removal in a future version. The statement contained in this for..of statement.
    `ExpressionTree` | `getVariable()` | Deprecated, for removal: This API element is subject to removal in a future version. The for..of left hand side expression.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getVariable

          ExpressionTree getVariable()

      Deprecated, for removal: This API element is subject to removal in a future version.
      The for..of left hand side expression.
      Returns:
        the left hand side expression

    - #### getExpression

          ExpressionTree getExpression()

      Deprecated, for removal: This API element is subject to removal in a future version.
      The object or array being whose properties are iterated.
      Returns:
        the object or array expression being iterated

    - #### getStatement

          StatementTree getStatement()

      Deprecated, for removal: This API element is subject to removal in a future version.
      The statement contained in this for..of statement.
      Specified by:
        `getStatement` in interface `LoopTree`
      Returns:
        the statement